Retrieve all notification settings
curl --request GET \
--url https://api.kadoa.com/v5/notifications/settings \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kadoa.com/v5/notifications/settings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kadoa.com/v5/notifications/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"settings": [
{
"id": "<string>",
"workflowId": "<string>",
"eventType": "<string>",
"eventConfiguration": {},
"enabled": true,
"channels": [
{
"id": "<string>",
"name": "<string>",
"channelType": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
},
"status": "<string>",
"message": "<string>"
}Notifications
Retrieve all notification settings
GET
/
v5
/
notifications
/
settings
Retrieve all notification settings
Authorizations
API key for authentication
Query Parameters
Workflow ID(s) - can be single ID, comma-separated IDs, or 'null' for workspace-level settings
Event type filter (optional)
Available options:
workflow_started, workflow_finished, workflow_failed, workflow_sample_finished, workflow_data_change, system_maintenance, service_degradation, credits_low, free_trial_ending ⌘I